uk.gov.hmrc

# circuitbreaker

#### package circuitbreaker

Visibility

1. Public
2. All

### Type Members

1. #### case class CircuitBreakerConfig(serviceName: String, numberOfCallsToTriggerStateChange: Int, unavailablePeriodDuration: Int, unstablePeriodDuration: Int) extends Product with Serializable

2. #### class UnhealthyServiceException extends RuntimeException

3. #### trait UsingCircuitBreaker extends AnyRef

   Trait to be mixed in to services or connectors that wish to protect their outgoing calls from wasting unsuccessful invocations in periods where the service seems to be unavailable.

### Value Members

1. #### object CircuitBreakerConfig extends Product with Serializable

### Ungrouped